Jump to content

Welcome to AppCake Forum
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. If you already have an account, login here - otherwise create an account for free today!
Photo

Install an app from another country


  • You cannot start a new topic
  • Please log in to reply
4 replies to this topic

#1
shark8

shark8

    Fresh Newbie

  • IC Lurker
  • Pip
  • 3 posts
    • Time Online: 55m 47s

Hi guys,

 

I'm trying to look for a solution to an issue I have.

 

I'm a foreigner in the country I'm currently living. I kept my iTunes linked to my own country, because I bought apps there, and if I switch country I would lose everything.

 

Living in a country with a different iTunes country means that from time to time I cannot access a local app.

 

Before Apple decided to update iTunes, whenever I was in this situation, I would use a second account I created, download the app on my computer, and sync my device with iTunes. Why this? Because I have an Apple Music subscription, and if I change the country on my device directly just to download one app, I lose all my music, and when I switch back I have to download everything again.

The second account solution helped in this a lot.

 

But now, with the new iTunes the app store isn't there anymore, and I'm out of solutions.

 

If I got my hand on the .ipa maybe I could install it directly with Impactor (or any other tool you may suggest).

But I don't know how to do that, mainly because I don't know how to find the .ipa of the app I want (which in this case is even a free one).

 

What would be the steps to overcome this issue?

 

Does anybody have an alternative solution?

 

Any thought is much appreciated.

 

thanks.

 

Shark



#2
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 10,612 posts
    • Time Online: 264d 3h 21m 56s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12
in order to use APPS in itunes you require version 12.6.4.3
it is available here: https://discussions....C-6562#versions

#3
shark8

shark8

    Fresh Newbie

  • IC Lurker
  • Pip
  • 3 posts
    • Time Online: 55m 47s

Thanks for the answer, but I'm on a Mac, and on Mac downgrading iTunes is a huge pain in the neck, with not complete guarantee of success (it is part of the system).

 

Moreover, already with iPhone 8 you need iTunes 12.7 (luckily I have iPhone 7) and soon this is an option that is going to disappear.

 

Do you have any other suggestion?



#4
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 10,612 posts
    • Time Online: 264d 3h 21m 56s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12
iTunes 12.6.4 for MacOS: https://secure-appld...Tunes12.6.4.dmg
you just install over current itunes.

it is not an old version but fully updated for os11 and ALL devices !
  • shark8 likes this

#5
shark8

shark8

    Fresh Newbie

  • IC Lurker
  • Pip
  • 3 posts
    • Time Online: 55m 47s
Yes, that worked. Before I tried to install another version (suggested by someone else) and that version couldn’t be installed.
The one you suggested worked like a charm. Thank you.
  • user_hidden likes this